POST /fal-ai/flux-1/dev
Method: POSTEndpoint: /fal-ai/flux-1/dev
Image description text, describing the scene and content you want the model to generate. Required.
Request Parameters
Header Parameters
text
Content-Type
string
Optional
Example:
application/json
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}Body Parameters application/json
text
prompt
string
Required
Image description text, describing the scene and content you want the model to generate. Required.
num_images
integer
Optional
// provider-specific example normalized for English documentation
image_size
Optional
// provider-specific example normalized for English documentation
One of:
object
string
sync_mode
boolean
Optional
// provider-specific example normalized for English documentation
guidance_scale
number
Optional
// provider-specific example normalized for English documentation
num_inference_steps
integer
Optional
// provider-specific example normalized for English documentation
seed
integer
Optional
// provider-specific example normalized for English documentation
enable_safety_checker
boolean
Optional
// provider-specific example normalized for English documentation
Example
{
"prompt"
:
"string"
,
"num_images"
:
0
,
"image_size"
:
{
}
,
"sync_mode"
:
true
,
"guidance_scale"
:
0
,
"num_inference_steps"
:
0
,
"seed"
:
0
,
"enable_safety_checker"
:
true
}Example Request
Shell
bash
curl --location --request POST '/fal-ai/flux-1/dev' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
"prompt": "string",
"num_images": 0,
"image_size": {},
"sync_mode": true,
"guidance_scale": 0,
"num_inference_steps": 0,
"seed": 0,
"enable_safety_checker": true
}'Response
🟢 200 Success
Content Type: application/json
Response Schema
text
objectExample
json
{}